> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mrassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Diagnose Sip Trunk

> Diagnose SIP trunk configuration for a phone number.

Returns detailed information about:
- Whether a trunk exists in LiveKit
- Configured allowed_addresses (IP allowlist)
- Whether a dispatch rule exists
- Issues and recommendations

Use this to troubleshoot inbound calls not reaching LiveKit.



## OpenAPI

````yaml https://api.mrassistant.ai/openapi.json get /agents/sip/diagnose/{phone_number}
openapi: 3.1.0
info:
  title: Backend - Multilingual Voice Agent System
  description: FastAPI backend for multilingual voice agents with tool use
  version: 1.0.0
servers: []
security: []
paths:
  /agents/sip/diagnose/{phone_number}:
    get:
      tags:
        - agent-phone-numbers
      summary: Diagnose Sip Trunk
      description: |-
        Diagnose SIP trunk configuration for a phone number.

        Returns detailed information about:
        - Whether a trunk exists in LiveKit
        - Configured allowed_addresses (IP allowlist)
        - Whether a dispatch rule exists
        - Issues and recommendations

        Use this to troubleshoot inbound calls not reaching LiveKit.
      operationId: diagnose_sip_trunk_agents_sip_diagnose__phone_number__get
      parameters:
        - name: phone_number
          in: path
          required: true
          schema:
            type: string
            title: Phone Number
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Diagnose Sip Trunk Agents Sip Diagnose  Phone Number 
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````